Package jebl.evolution.trees

# Enum Class ConsensusTreeBuilder.Method

java.lang.Object
java.lang.Enum<ConsensusTreeBuilder.Method>
jebl.evolution.trees.ConsensusTreeBuilder.Method

All Implemented Interfaces:
  `Serializable`, `Comparable<ConsensusTreeBuilder.Method>`, `Constable`

Enclosing class:
  `ConsensusTreeBuilder<T extends Tree>`

public static enum ConsensusTreeBuilder.Method extends Enum<ConsensusTreeBuilder.Method>
Supported consensus methods.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`GREEDY`
`MRCAC`

## Method Summary

Modifier and Type
Method
Description
`String`
`getName()`
`String`
`toString()`
`static ConsensusTreeBuilder.Method`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ConsensusTreeBuilder.Method[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GREEDY

public static final ConsensusTreeBuilder.Method GREEDY

### MRCAC

public static final ConsensusTreeBuilder.Method MRCAC

## Method Details

### values

public static ConsensusTreeBuilder.Method[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ConsensusTreeBuilder.Method valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ConsensusTreeBuilder.Method>`

### getName

public String getName()